(ns one.core-test
  (:use clojure.test)
  (:require [one.core :refer :all]))

(deftest bigger
  (is (= true (big "foo" 2))))

(deftest smaller
  (is (= false (big "small" 10))))

(deftest vector-type
  (is (= :vector (collection-type [1 2 3]))))

(deftest list-type
  (is (= :list (collection-type '( 1 2 3)))))

(deftest what-list
  (is (= :list (what-type '( 1 2 3)))))
