-module(drivers).

-record(person, {name, fastest_time = 0.0}).

-export([champion/1]).

fastest(A, B)
    when A#person.fastest_time < B#person.fastest_time ->
    A;
fastest(_, B) -> B.

champion(Drivers) ->
    lists:foldr(fun fastest/2,
		#person{name = "Ghost",
			fastest_time = 9.99989999999999963620e+3},
		Drivers).
