package day3
import akka.actor.Actor;
import akka.actor.ActorSystem;
import akka.actor.Props

class HelloActor extends Actor {
  def receive: Actor.Receive = {
    case "hello" => println("Hi")
    case _ => println("Wut")
  }
}

object ActOne extends App {
  val system = ActorSystem("ActOne")
  val act = system.actorOf(Props[HelloActor], name = "alice")
  act ! "hello"
  act ! "one"

}