(ns one.core)

(defn big [st n]
  (> (count st) n))

(defn collection-type [xs]
  (cond
    (list? xs) :list
    (vector? xs) :vector
    (map? xs) :map
    (set? xs) :set))

;; Protocols!
(defprotocol WhatType
  "Tells what type"
  (what-type [w]))

(extend-type
 clojure.lang.PersistentVector
  WhatType
  (what-type [w] :vector))

(extend-type
 clojure.lang.PersistentArrayMap
  WhatType
  (what-type [w] :map))

(extend-type
 clojure.lang.PersistentHashSet
  WhatType
  (what-type [w] :set))

 (extend-type
  clojure.lang.PersistentList
   WhatType
   (what-type [w] :list))
