package day1

object TicTacToeGame extends App {
  var currentPlayer = Move.X;
  var moves = 0;
  var board = List(
      Move.?, Move.?, Move.?,
      Move.?, Move.?, Move.?,
      Move.?, Move.?, Move.?,
    )

  var winner = Move.?

  while(winner == Move.? && board.contains(Move.?)) {
    printBoard()
    val input = io.StdIn.readLine("%s move (0 - 8)? ", currentPlayer);
    var index = input.toInt;
    if (board(index) == Move.?) {
      board = board.updated(index, currentPlayer)
      currentPlayer = currentPlayer match {
        case Move.O => Move.X
        case _ => Move.O
      }
      winner = TicTacToe.winner(board)
      moves = moves + 1
    }
    else {
      println(s"Index $index taken. Try again")
    }
  }

  println(s"Winner: $winner")

  def printBoard() {
    println(s"""
    ${board(0)} ${board(1)} ${board(2)}
    ${board(3)} ${board(4)} ${board(5)}
    ${board(6)} ${board(7)} ${board(8)}""")

  }

}